/*!\file:  InputToResultx.h
 * \brief header file for averaging a field throfieldh thickness
 */ 

#ifndef _INPUTTORESULTX_H
#define _INPUTTORESULTX_H

#include "../../DataSet/DataSet.h"

/* global prototype: */
void InputToResultx(Result** presult,DataSet* elements,DataSet* nodes, DataSet* vertices, DataSet* loads, DataSet* materials,Parameters* parameters,int enum_type,int id, double time, int step);

/* local prototypes: */
void PatchesSize(DataSet* elements,int* ppatch_numrows, int* ppatch_numcols,int enum_type);
void InputToPatches(DataSet* elements,double* patches,int patch_numrows,int patch_numcols);

#endif  /* _INPUTTORESULTX_H */
